Package org.eclipse.emf.cdo.lm.security.impl

# Class LMFilterImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.security.impl.PermissionFilterImpl
org.eclipse.emf.cdo.lm.security.impl.LMFilterImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `LMFilter`, `PermissionFilter`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

Direct Known Subclasses:
  `ModuleFilterImpl`, `ModuleTypeFilterImpl`

public abstract class LMFilterImpl extends PermissionFilterImpl implements LMFilter
An implementation of the model object 'LM Filter'.

The following features are implemented:

- `Regex`

Generated

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`REGEX_EDEFAULT`
The default value of the '`Regex`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`LMFilterImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`protected final boolean`
`filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
`protected boolean`
`filterMissingComparisonValue()`
`String`
`format()`
`protected abstract String`
`getComparisonKey()`
`protected abstract String`
`getComparisonValue()`
`boolean`
`isImpacted(PermissionImpl.CommitImpactContext context)`
`boolean`
`isRegex()`
`void`
`setRegex(boolean newRegex)`

### Methods inherited from class org.eclipse.emf.cdo.security.impl.PermissionFilterImpl

`eStaticFeatureCount, getUser, isApplicable`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eInvoke, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

`isApplicable`

## Field Details

### REGEX_EDEFAULT

protected static final boolean REGEX_EDEFAULT
The default value of the '`Regex`' attribute.

See Also:
  - `isRegex()`
  - Constant Field Values
Generated
Ordered

## Constructor Details

### LMFilterImpl

protected LMFilterImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `PermissionFilterImpl`
Generated

### isRegex

public boolean isRegex()

Specified by:
  `isRegex` in interface `LMFilter`
Returns:
  the value of the 'Regex' attribute.
See Also:
  - `LMFilter.setRegex(boolean)`
  - `LMSecurityPackage.getLMFilter_Regex()`
Generated

### setRegex

public void setRegex(boolean newRegex)

Specified by:
  `setRegex` in interface `LMFilter`
Parameters:
  `newRegex` - the new value of the 'Regex' attribute.
See Also:
  - `LMFilter.isRegex()`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `BasicEObjectImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `BasicEObjectImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `BasicEObjectImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `BasicEObjectImpl`
Generated

### isImpacted

public boolean isImpacted(PermissionImpl.CommitImpactContext context)

Specified by:
  `isImpacted` in interface `PermissionFilter`
Added

### format

public String format()

Specified by:
  `format` in interface `PermissionFilter`
Added

### filter

protected final boolean filter(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level) throws Exception

Specified by:
  `filter` in class `PermissionFilterImpl`
Throws:
  `Exception`
Added

### filterMissingComparisonValue

protected boolean filterMissingComparisonValue()

Added

### getComparisonKey

protected abstract String getComparisonKey()

Added

### getComparisonValue

protected abstract String getComparisonValue()

Added